Bug 447159 - Review Request: ocsinventory - Open Computer and Software Inventory Next Generation
Review Request: ocsinventory - Open Computer and Software Inventory Next Gene...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 07:29 EDT by Remi Collet
Modified: 2008-07-10 19:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-29 08:04:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
xavier: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2008-05-18 07:29:53 EDT
Spec URL: http://remi.fedorapeople.org/ocsinventory.spec
SRPM URL: http://remi.fedorapeople.org/ocsinventory-1.02-0.4.rc2.fc8.src.rpm
Scratch build : http://koji.fedoraproject.org/koji/taskinfo?taskID=615825
Description: 
Open Computer and Software Inventory Next Generation is an application
designed to help a network or system administrator keep track of the
computers configuration and software that are installed on the network.

OCS Inventory is also able to detect all active devices on your network,
such as switch, router, network printer and unattended devices.

OCS Inventory NG includes package deployment feature on client computers.

ocsinventory is a metapackage that will install the communication server,
the administration console and the database server (MySQL).

----- 
rpmlint output :
ocsinventory.src: I: checking
ocsinventory.noarch: I: checking
ocsinventory.noarch: W: no-documentation
ocsinventory-server.noarch: I: checking
ocsinventory-server.noarch: E: non-standard-uid /var/log/ocsinventory-server apache
ocsinventory-server.noarch: E: non-standard-dir-perm /var/log/ocsinventory-server 0750
ocsinventory-reports.noarch: I: checking
ocsinventory-reports.noarch: E: non-standard-uid /var/lib/ocsinventory-server apache
ocsinventory-reports.noarch: E: non-standard-uid /etc/ocsinventory/ocsinventory-reports/dbconfig.inc.php apache
ocsinventory-reports.noarch: E: non-readable /etc/ocsinventory/ocsinventory-reports/dbconfig.inc.php 0640
ocsinventory-reports.noarch: E: non-standard-uid /var/lib/ocsinventory-server/download apache
ocsinventory-reports.noarch: E: non-standard-uid /var/lib/ocsinventory-server/ipd apache

---- Note
This is a RC2 version submit for review.
Only final version will push to stable repository.
Comment 1 Xavier Bachelot 2008-05-19 12:04:32 EDT
All rpmlint warnings look ok, except this one :
ocsinventory-server.noarch: E: non-standard-dir-perm
/var/log/ocsinventory-server 0750

The /var/lib/ocsinventory-server directory owned by the ocsinventory-reports
package should be renamed to /var/lib/ocsinventory-reports, but this has been
requested upstream. It would be better to get this fixed before importing the
package as the rename would require some tweaking to the conf and mysql database.
Comment 2 Xavier Bachelot 2008-05-20 15:19:41 EDT
 + source files match upstream: 4c582d29db7777506b5cfe49f15af3c4 
OCSNG_UNIX_SERVER_1.02_RC2.tar.gz
 + package meets naming and versioning guidelines.
 + specfile is properly named, is cleanly written and uses macros consistently.
 + dist tag is present.
 + build root is correct.
 + license field matches the actual license.
 + license is open source-compatible.
 + License text included in package.
 + latest version is being packaged.
 + BuildRequires are proper.
 + package builds in mock.
 + package installs properly
 - rpmlint is not silent :
ocsinventory.noarch: W: no-documentation
ocsinventory-reports.noarch: E: non-standard-uid /var/lib/ocsinventory-server apache
ocsinventory-reports.noarch: E: non-standard-uid
/etc/ocsinventory/ocsinventory-reports/dbconfig.inc.php apache
ocsinventory-reports.noarch: E: non-readable
/etc/ocsinventory/ocsinventory-reports/dbconfig.inc.php 0640
ocsinventory-reports.noarch: E: non-standard-uid
/var/lib/ocsinventory-server/download apache
ocsinventory-reports.noarch: E: non-standard-uid
/var/lib/ocsinventory-server/ipd apache
ocsinventory-server.noarch: E: non-standard-uid /var/log/ocsinventory-server apache
ocsinventory-server.noarch: E: non-standard-dir-perm
/var/log/ocsinventory-server 0750
All but the last warning are OK. Please fix perms on /var/log/ocsinventory-server
 - final provides and requires are sane
missing Requires on nmap and samba-client for ocsinventory-reports 
 + owns the directories it creates.
 + doesn't own any directories it shouldn't.
 + no duplicates in %files.
 + file permissions are appropriate.
 + scriptlets are sane.
 + code, not content.
 + documentation is small, so no -docs subpackage is necessary.
 + %docs are not necessary for the proper functioning of the package.
 + not a GUI app.

Items to fix :
- Please fix perms on /var/log/ocsinventory-server.
- Please take care of the directory renaming mentioned in comment #1.
- ipdiscover-util.pl requires nmap and nmblookup, provided respectively by nmap
and samba-client, please add them to ocsinventory-reports requires.
Comment 3 Remi Collet 2008-06-14 14:20:28 EDT
Patch for new path merged upstream.

New version :
Spec : http://remi.fedorapeople.org/ocsinventory-agent.spec
SRPM : http://remi.fedorapeople.org/ocsinventory-1.02-0.5.rc2.fc8.src.rpm
Comment 4 Remi Collet 2008-06-14 14:20:49 EDT
Patch for new path merged upstream.

New version :
Spec : http://remi.fedorapeople.org/ocsinventory.spec
SRPM : http://remi.fedorapeople.org/ocsinventory-1.02-0.5.rc2.fc8.src.rpm
Comment 5 Xavier Bachelot 2008-06-23 10:59:32 EDT
All items fixed, looks good, APPROVED.
Comment 6 Remi Collet 2008-06-23 12:25:23 EDT
New Package CVS Request
=======================
Package Name: ocsinventory
Short Description: Open Computer and Software Inventory Next Generation
Owners: remi
Branches: devel, F-9, F-8, EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-06-23 15:14:48 EDT
cvs done.
Comment 8 Remi Collet 2008-07-09 14:49:51 EDT
Package Change Request
======================
Package Name: ocsinventory
New Branches: EL-4 
Comment 9 Kevin Fenzi 2008-07-10 19:08:18 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.